Hello everyone,
I've received a dwg file from surveyors, which contained 3D linework (mostly 3D polylines and 3D splines). Now as I am creating a background overlay which should be 2D I ran across some polylines I cannot see, though I can select them through QuickSelect, or SelectAll. All layers are on and thawned.
The strange thing about them is, that when I run command List on them, there is a line which says "Invisible".
I wasn't able to find anything on Google, so I am turning to the forum. What are invisible polylines? How to work with them and to make them visible?
Solved! Go to Solution.
Hello everyone,
I've received a dwg file from surveyors, which contained 3D linework (mostly 3D polylines and 3D splines). Now as I am creating a background overlay which should be 2D I ran across some polylines I cannot see, though I can select them through QuickSelect, or SelectAll. All layers are on and thawned.
The strange thing about them is, that when I run command List on them, there is a line which says "Invisible".
I wasn't able to find anything on Google, so I am turning to the forum. What are invisible polylines? How to work with them and to make them visible?
Solved! Go to Solution.
Solved by 3wood. Go to Solution.
The command to hide an object is HIDEOBJECTS. It makes selected objects 'Invisible'.
To show them, simply use command UNHIDE.
The command to hide an object is HIDEOBJECTS. It makes selected objects 'Invisible'.
To show them, simply use command UNHIDE.
Thank you for your reply, but this is not that. I have tried unisolating, but nothing happend.
Thank you for your reply, but this is not that. I have tried unisolating, but nothing happend.
Not sure what is wrong.
Just try following code. Save it as a lisp file, load it with command APPLOAD, and type VISIBLE to show all hidden objects.
;;; Make everything visible. By 3wood 2021.09.21
(defun C:VISIBLE (/ s1 n1)
(setq s1 (ssget "x")
n1 0)
(repeat (sslength s1)
(vla-put-visible (vlax-ename->vla-object (ssname s1 n1)) :vlax-true)
(setq n1 (1+ n1))
)
)
Not sure what is wrong.
Just try following code. Save it as a lisp file, load it with command APPLOAD, and type VISIBLE to show all hidden objects.
;;; Make everything visible. By 3wood 2021.09.21
(defun C:VISIBLE (/ s1 n1)
(setq s1 (ssget "x")
n1 0)
(repeat (sslength s1)
(vla-put-visible (vlax-ename->vla-object (ssname s1 n1)) :vlax-true)
(setq n1 (1+ n1))
)
)
Thank you,
this worked, this unisolated the invisible polylines, though I am not sure, what happend.
Thank you,
this worked, this unisolated the invisible polylines, though I am not sure, what happend.
Can't find what you're looking for? Ask the community or share your knowledge.